<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'BladMT' => 'BladMT',
            'WynikMT' => 'WynikMT',
            'ParametryStronicowaniaMT' => 'ParametryStronicowaniaMT',
            'IdentyfikatorUslugodawcyOIDMT' => 'IdentyfikatorUslugodawcyOIDMT',
            'IdentyfikatorUslugobiorcyOIDMT' => 'IdentyfikatorUslugobiorcyOIDMT',
            'IdentyfikatorPracownikaMedycznegoOIDMT' => 'IdentyfikatorPracownikaMedycznegoOIDMT',
            'IdentyfikatorPodmiotuOIDMT' => 'IdentyfikatorPodmiotuOIDMT',
            'IdentyfikatorOIDMT' => 'IdentyfikatorOIDMT',
            'IdentyfikatorDokumentuOIDMT' => 'IdentyfikatorDokumentuOIDMT',
            'IdentyfikatorZadaniaMT' => 'IdentyfikatorZadaniaMT',
            'PotwierdzenieOperacjiZapisuMT' => 'PotwierdzenieOperacjiZapisuMT',
            'RealizacjaReceptyMT' => 'RealizacjaReceptyMT',
            'KryteriaOdczytuReceptyDoKonsultacjiMT' => 'KryteriaOdczytuReceptyDoKonsultacjiMT',
            'WynikOdczytuReceptyDoKonsultacjiMT' => 'WynikOdczytuReceptyDoKonsultacjiMT',
            'DaneRealizacjiDoKonsultacjiMT' => 'DaneRealizacjiDoKonsultacjiMT',
            'WynikiWyszukiwaniaReceptUslugobiorcyDoKonsultacjiMT' => 'WynikiWyszukiwaniaReceptUslugobiorcyDoKonsultacjiMT',
            'WynikiWyszukiwaniaKluczyReceptUslugobiorcyMT' => 'WynikiWyszukiwaniaKluczyReceptUslugobiorcyMT',
            'WynikWyszukiwaniaReceptUslugobiorcyDoKonsultacjiMT' => 'WynikWyszukiwaniaReceptUslugobiorcyDoKonsultacjiMT',
            'KryteriaWyszukiwaniaRealizacjiReceptDoKonsultacjiMT' => 'KryteriaWyszukiwaniaRealizacjiReceptDoKonsultacjiMT',
            'WynikWyszukiwaniaRealizacjiReceptUslugobiorcyDoKonsultacjiMT' => 'WynikWyszukiwaniaRealizacjiReceptUslugobiorcyDoKonsultacjiMT',
            'WynikWeryfikacjiZbioruRegulMT' => 'WynikWeryfikacjiZbioruRegulMT',
            'WynikiWyszukiwaniaReceptMT' => 'WynikiWyszukiwaniaReceptMT',
            'WynikiWyszukiwaniaReceptUslugobiorcyMT' => 'WynikiWyszukiwaniaReceptUslugobiorcyMT',
            'WynikiWyszukiwaniaDokumentowRealizacjiMT' => 'WynikiWyszukiwaniaDokumentowRealizacjiMT',
            'WynikiWyszukiwaniaDokumentowAnulowaniaMT' => 'WynikiWyszukiwaniaDokumentowAnulowaniaMT',
            'WynikiWeryfikacjiPakietuReceptMT' => 'WynikiWeryfikacjiPakietuReceptMT',
            'WynikiWeryfikacjiKorektyDokumentuRealizacjiMT' => 'WynikiWeryfikacjiKorektyDokumentuRealizacjiMT',
            'WynikiWeryfikacjiDokumentuReceptyMT' => 'WynikiWeryfikacjiDokumentuReceptyMT',
            'WynikiWeryfikacjiDokumentuRealizacjiMT' => 'WynikiWeryfikacjiDokumentuRealizacjiMT',
            'WynikiWeryfikacjiDokumentuAnulowaniaMT' => 'WynikiWeryfikacjiDokumentuAnulowaniaMT',
            'WynikZapisuPakietuReceptMT' => 'WynikZapisuPakietuReceptMT',
            'WynikZapisuPakietuRealizacjiReceptMT' => 'WynikZapisuPakietuRealizacjiReceptMT',
            'WynikWyszukiwaniaReceptMT' => 'WynikWyszukiwaniaReceptMT',
            'WynikWyszukiwaniaReceptUslugobiorcyMT' => 'WynikWyszukiwaniaReceptUslugobiorcyMT',
            'WynikWyszukiwaniaDokumentowRealizacjiMT' => 'WynikWyszukiwaniaDokumentowRealizacjiMT',
            'WynikWyszukiwaniaDokumentowAnulowaniaMT' => 'WynikWyszukiwaniaDokumentowAnulowaniaMT',
            'WynikWeryfikacjiRegulyMT' => 'WynikWeryfikacjiRegulyMT',
            'WynikWeryfikacjiReceptMT' => 'WynikWeryfikacjiReceptMT',
            'WeryfikowanaReceptaMT' => 'WeryfikowanaReceptaMT',
            'WeryfikowanaRealizacjaMT' => 'WeryfikowanaRealizacjaMT',
            'ReceptyMT' => 'ReceptyMT',
            'RealizacjeReceptWPakiecieMT' => 'RealizacjeReceptWPakiecieMT',
            'ReceptyIRealizacjeMT' => 'ReceptyIRealizacjeMT',
            'ReceptaMT' => 'ReceptaMT',
            'ReceptaDaneDodatkoweMT' => 'ReceptaDaneDodatkoweMT',
            'AtrybutMT' => 'AtrybutMT',
            'RealizacjaReceptyWPakiecieMT' => 'RealizacjaReceptyWPakiecieMT',
            'ReceptaIWynikWeryfikacjiMT' => 'ReceptaIWynikWeryfikacjiMT',
            'ReceptaIRealizacjaMT' => 'ReceptaIRealizacjaMT',
            'PotwierdzenieOperacjiWeryfikacjiMT' => 'PotwierdzenieOperacjiWeryfikacjiMT',
            'PakietReceptMT' => 'PakietReceptMT',
            'PakietRealizacjiReceptMT' => 'PakietRealizacjiReceptMT',
            'PakietReceptIWynikowWeryfikacjiMT' => 'PakietReceptIWynikowWeryfikacjiMT',
            'NumerReceptyOIDMT' => 'NumerReceptyOIDMT',
            'NumerIPozycjaReceptyPapierowejMT' => 'NumerIPozycjaReceptyPapierowejMT',
            'KryteriaWyszukiwaniaReceptMT' => 'KryteriaWyszukiwaniaReceptMT',
            'KryteriaWyszukiwaniaReceptUslugobiorcyMT' => 'KryteriaWyszukiwaniaReceptUslugobiorcyMT',
            'KryteriaWyszukiwaniaDokumentowRealizacjiMT' => 'KryteriaWyszukiwaniaDokumentowRealizacjiMT',
            'KryteriaWyszukiwaniaDokumentowAnulowaniaMT' => 'KryteriaWyszukiwaniaDokumentowAnulowaniaMT',
            'KryteriaOdczytuPakietuReceptMT' => 'KryteriaOdczytuPakietuReceptMT',
            'KodIKluczePakietuIReceptMT' => 'KodIKluczePakietuIReceptMT',
            'OdczytKluczyReceptUslugobiorcyMT' => 'OdczytKluczyReceptUslugobiorcyMT',
            'KluczReceptyMT' => 'KluczReceptyMT',
            'KluczPakietuReceptMT' => 'KluczPakietuReceptMT',
            'KluczINumerReceptyMT' => 'KluczINumerReceptyMT',
            'KluczIKodPakietuReceptMT' => 'KluczIKodPakietuReceptMT',
            'KluczeINumeryReceptMT' => 'KluczeINumeryReceptMT',
            'IdentyfikatorDokumentuRealizacjiReceptyMT' => 'IdentyfikatorDokumentuRealizacjiReceptyMT',
            'IdentyfikatorDokumentuIWynikWeryfikacjiMT' => 'IdentyfikatorDokumentuIWynikWeryfikacjiMT',
            'IdentyfikatorDokumentuAnulowaniaReceptyMT' => 'IdentyfikatorDokumentuAnulowaniaReceptyMT',
            'DokumentReceptyMT' => 'DokumentReceptyMT',
            'DokumentRealizacjiReceptyMT' => 'DokumentRealizacjiReceptyMT',
            'DokumentAnulowaniaReceptyMT' => 'DokumentAnulowaniaReceptyMT',
            'WynikWyszukiwaniaKluczyReceptUslugobiorcyMT' => 'WynikWyszukiwaniaKluczyReceptUslugobiorcyMT',
            'RozszerzoneKryteriaWyszukiwaniaReceptUslugobiorcyMT' => 'RozszerzoneKryteriaWyszukiwaniaReceptUslugobiorcyMT',
            'WynikiRozszerzonegoWyszukiwaniaReceptUslugobiorcyMT' => 'WynikiRozszerzonegoWyszukiwaniaReceptUslugobiorcyMT',
            'WynikRozszerzonegoWyszukiwaniaReceptUslugobiorcyMT' => 'WynikRozszerzonegoWyszukiwaniaReceptUslugobiorcyMT',
            'DaneDokumentuRealizacjiReceptyMT' => 'DaneDokumentuRealizacjiReceptyMT',
            'UprawnieniaDodatkoweMT' => 'UprawnieniaDodatkoweMT',
            'AttributedDateTime' => 'AttributedDateTime',
            'AttributedURI' => 'AttributedURI',
            'TimestampType' => 'TimestampType',
            'KontekstMT' => 'KontekstMT',
            'OdczytDokumentuRealizacjiReceptyRequest' => 'OdczytDokumentuRealizacjiReceptyRequest',
            'WyszukanieReceptUslugobiorcyDoKonsultacjiRequest' => 'WyszukanieReceptUslugobiorcyDoKonsultacjiRequest',
            'OdczytReceptyDoKonsultacjiRequest' => 'OdczytReceptyDoKonsultacjiRequest',
            'WyszukanieRealizacjiReceptDoKonsultacjiRequest' => 'WyszukanieRealizacjiReceptDoKonsultacjiRequest',
            'OdczytPakietuReceptDoRealizacjiResponse' => 'OdczytPakietuReceptDoRealizacjiResponse',
            'WyszukanieReceptUslugobiorcyDoKonsultacjiResponse' => 'WyszukanieReceptUslugobiorcyDoKonsultacjiResponse',
            'OdczytReceptyDoKonsultacjiResponse' => 'OdczytReceptyDoKonsultacjiResponse',
            'WyszukanieRealizacjiReceptDoKonsultacjiResponse' => 'WyszukanieRealizacjiReceptDoKonsultacjiResponse',
            'OdczytReceptyDoRealizacjiRequest' => 'OdczytReceptyDoRealizacjiRequest',
            'OdczytReceptyDoRealizacjiResponse' => 'OdczytReceptyDoRealizacjiResponse',
            'RezygnacjaZRealizacjiReceptyNaLekRecepturowyRequest' => 'RezygnacjaZRealizacjiReceptyNaLekRecepturowyRequest',
            'WyszukanieReceptWystawiajacegoResponse' => 'WyszukanieReceptWystawiajacegoResponse',
            'WyszukanieReceptUslugobiorcyResponse' => 'WyszukanieReceptUslugobiorcyResponse',
            'ZablokowanieReceptyResponse' => 'ZablokowanieReceptyResponse',
            'ZapisDokumentuAnulowaniaReceptyFarmaceutycznejRequest' => 'ZapisDokumentuAnulowaniaReceptyFarmaceutycznejRequest',
            'ZapisDokumentuAnulowaniaReceptyFarmaceutycznejResponse' => 'ZapisDokumentuAnulowaniaReceptyFarmaceutycznejResponse',
            'ZapisDokumentuAnulowaniaReceptyResponse' => 'ZapisDokumentuAnulowaniaReceptyResponse',
            'ZapisPakietuReceptRequest' => 'ZapisPakietuReceptRequest',
            'ZapisPakietuReceptResponse' => 'ZapisPakietuReceptResponse',
            'ZapisPakietuRealizacjiReceptRequest' => 'ZapisPakietuRealizacjiReceptRequest',
            'ZapisPakietuRealizacjiReceptResponse' => 'ZapisPakietuRealizacjiReceptResponse',
            'ZapisRealizacjiReceptyFarmaceutycznejRequest' => 'ZapisRealizacjiReceptyFarmaceutycznejRequest',
            'ZapisRealizacjiReceptyFarmaceutycznejResponse' => 'ZapisRealizacjiReceptyFarmaceutycznejResponse',
            'ZapisRealizacjiReceptyResponse' => 'ZapisRealizacjiReceptyResponse',
            'ZapisRealizacjiReceptyRequest' => 'ZapisRealizacjiReceptyRequest',
            'ZapisDokumentuAnulowaniaReceptyRequest' => 'ZapisDokumentuAnulowaniaReceptyRequest',
            'ZablokowanieReceptyRequest' => 'ZablokowanieReceptyRequest',
            'WyszukanieReceptWystawiajacegoRequest' => 'WyszukanieReceptWystawiajacegoRequest',
            'WyszukanieReceptUslugobiorcyRequest' => 'WyszukanieReceptUslugobiorcyRequest',
            'WyszukanieDokumentowRealizacjiReceptResponse' => 'WyszukanieDokumentowRealizacjiReceptResponse',
            'WyszukanieDokumentowRealizacjiReceptRequest' => 'WyszukanieDokumentowRealizacjiReceptRequest',
            'WyszukanieDokumentowAnulowaniaReceptResponse' => 'WyszukanieDokumentowAnulowaniaReceptResponse',
            'WyszukanieDokumentowAnulowaniaReceptRequest' => 'WyszukanieDokumentowAnulowaniaReceptRequest',
            'WeryfikacjaPakietuReceptResponse' => 'WeryfikacjaPakietuReceptResponse',
            'WeryfikacjaPakietuReceptRequest' => 'WeryfikacjaPakietuReceptRequest',
            'RezygnacjaZRealizacjiReceptyNaLekRecepturowyResponse' => 'RezygnacjaZRealizacjiReceptyNaLekRecepturowyResponse',
            'PrzyjecieDoRealizacjiReceptyNaLekRecepturowyResponse' => 'PrzyjecieDoRealizacjiReceptyNaLekRecepturowyResponse',
            'PrzyjecieDoRealizacjiReceptyNaLekRecepturowyRequest' => 'PrzyjecieDoRealizacjiReceptyNaLekRecepturowyRequest',
            'OdczytReceptyResponse' => 'OdczytReceptyResponse',
            'OdczytReceptyRequest' => 'OdczytReceptyRequest',
            'OdczytPakietuReceptResponse' => 'OdczytPakietuReceptResponse',
            'OdczytPakietuReceptRequest' => 'OdczytPakietuReceptRequest',
            'OdczytPakietuReceptDoRealizacjiRequest' => 'OdczytPakietuReceptDoRealizacjiRequest',
            'OdczytDokumentuRealizacjiReceptyResponse' => 'OdczytDokumentuRealizacjiReceptyResponse',
            'OdczytDokumentuAnulowaniaReceptyResponse' => 'OdczytDokumentuAnulowaniaReceptyResponse',
            'OdczytDokumentuAnulowaniaReceptyRequest' => 'OdczytDokumentuAnulowaniaReceptyRequest',
            'OdczytDanychDostepowychPakietuReceptResponse' => 'OdczytDanychDostepowychPakietuReceptResponse',
            'OdczytDanychDostepowychPakietuReceptRequest' => 'OdczytDanychDostepowychPakietuReceptRequest',
            'OdczytKluczyReceptUslugobiorcyRequest' => 'OdczytKluczyReceptUslugobiorcyRequest',
            'OdczytKluczyReceptUslugobiorcyResponse' => 'OdczytKluczyReceptUslugobiorcyResponse',
            'OdblokowanieReceptyResponse' => 'OdblokowanieReceptyResponse',
            'OdblokowanieReceptyRequest' => 'OdblokowanieReceptyRequest',
            'ZapisKorektyDokumentuRealizacjiReceptyResponse' => 'ZapisKorektyDokumentuRealizacjiReceptyResponse',
            'ZapisKorektyDokumentuRealizacjiReceptyRequest' => 'ZapisKorektyDokumentuRealizacjiReceptyRequest',
            'RozszerzoneWyszukiwanieReceptUslugobiorcyRequest' => 'RozszerzoneWyszukiwanieReceptUslugobiorcyRequest',
            'RozszerzoneWyszukiwanieReceptUslugobiorcyResponse' => 'RozszerzoneWyszukiwanieReceptUslugobiorcyResponse',
            'BledyOperacji' => 'BledyOperacji',
        );
    }
}
