<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RealizacjaReceptyWPakiecieMT StructType
 * @subpackage Structs
 */
class RealizacjaReceptyWPakiecieMT extends AbstractStructBase
{
    /**
     * The identyfikatorRealizacjiWPakiecie
     * Meta information extracted from the WSDL
     * - documentation: Identyfikator realizacji w pakiecie.
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $identyfikatorRealizacjiWPakiecie;
    /**
     * The tresc
     * Meta information extracted from the WSDL
     * - documentation: Dokument realizacji recepty zgodny z HL7 CDA.
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $tresc;
    /**
     * Constructor method for RealizacjaReceptyWPakiecieMT
     * @uses RealizacjaReceptyWPakiecieMT::setIdentyfikatorRealizacjiWPakiecie()
     * @uses RealizacjaReceptyWPakiecieMT::setTresc()
     * @param int $identyfikatorRealizacjiWPakiecie
     * @param string $tresc
     */
    public function __construct($identyfikatorRealizacjiWPakiecie = null, $tresc = null)
    {
        $this
            ->setIdentyfikatorRealizacjiWPakiecie($identyfikatorRealizacjiWPakiecie)
            ->setTresc($tresc);
    }
    /**
     * Get identyfikatorRealizacjiWPakiecie value
     * @return int
     */
    public function getIdentyfikatorRealizacjiWPakiecie()
    {
        return $this->identyfikatorRealizacjiWPakiecie;
    }
    /**
     * Set identyfikatorRealizacjiWPakiecie value
     * @param int $identyfikatorRealizacjiWPakiecie
     * @return RealizacjaReceptyWPakiecieMT
     */
    public function setIdentyfikatorRealizacjiWPakiecie($identyfikatorRealizacjiWPakiecie = null)
    {
        // validation for constraint: int
        if (!is_null($identyfikatorRealizacjiWPakiecie) && !(is_int($identyfikatorRealizacjiWPakiecie) || ctype_digit($identyfikatorRealizacjiWPakiecie))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($identyfikatorRealizacjiWPakiecie, true), gettype($identyfikatorRealizacjiWPakiecie)), __LINE__);
        }
        $this->identyfikatorRealizacjiWPakiecie = $identyfikatorRealizacjiWPakiecie;
        return $this;
    }
    /**
     * Get tresc value
     * @return string
     */
    public function getTresc()
    {
        return $this->tresc;
    }
    /**
     * Set tresc value
     * @param string $tresc
     * @return RealizacjaReceptyWPakiecieMT
     */
    public function setTresc($tresc = null)
    {
        // validation for constraint: string
        if (!is_null($tresc) && !is_string($tresc)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($tresc, true), gettype($tresc)), __LINE__);
        }
        $this->tresc = $tresc;
        return $this;
    }
}
