<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ReceptaDaneDodatkoweMT StructType
 * Meta information extracted from the WSDL
 * - documentation: Dane dodatkowe recepty.
 * @subpackage Structs
 */
class ReceptaDaneDodatkoweMT extends AbstractStructBase
{
    /**
     * The atrybut
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 1
     * @var AtrybutMT[]
     */
    public $atrybut;
    /**
     * Constructor method for ReceptaDaneDodatkoweMT
     * @uses ReceptaDaneDodatkoweMT::setAtrybut()
     * @param AtrybutMT[] $atrybut
     */
    public function __construct(array $atrybut = array())
    {
        $this
            ->setAtrybut($atrybut);
    }
    /**
     * Get atrybut value
     * @return AtrybutMT[]
     */
    public function getAtrybut()
    {
        return $this->atrybut;
    }
    /**
     * This method is responsible for validating the values passed to the setAtrybut method
     * This method is willingly generated in order to preserve the one-line inline validation within the setAtrybut method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateAtrybutForArrayConstraintsFromSetAtrybut(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $receptaDaneDodatkoweMTAtrybutItem) {
            // validation for constraint: itemType
            if (!$receptaDaneDodatkoweMTAtrybutItem instanceof AtrybutMT) {
                $invalidValues[] = is_object($receptaDaneDodatkoweMTAtrybutItem) ? get_class($receptaDaneDodatkoweMTAtrybutItem) : sprintf('%s(%s)', gettype($receptaDaneDodatkoweMTAtrybutItem), var_export($receptaDaneDodatkoweMTAtrybutItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The atrybut property can only contain items of type AtrybutMT, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set atrybut value
     * @throws \InvalidArgumentException
     * @param AtrybutMT[] $atrybut
     * @return ReceptaDaneDodatkoweMT
     */
    public function setAtrybut(array $atrybut = array())
    {
        // validation for constraint: array
        if ('' !== ($atrybutArrayErrorMessage = self::validateAtrybutForArrayConstraintsFromSetAtrybut($atrybut))) {
            throw new \InvalidArgumentException($atrybutArrayErrorMessage, __LINE__);
        }
        $this->atrybut = $atrybut;
        return $this;
    }
    /**
     * Add item to atrybut value
     * @throws \InvalidArgumentException
     * @param AtrybutMT $item
     * @return ReceptaDaneDodatkoweMT
     */
    public function addToAtrybut(AtrybutMT $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof AtrybutMT) {
            throw new \InvalidArgumentException(sprintf('The atrybut property can only contain items of type AtrybutMT, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->atrybut[] = $item;
        return $this;
    }
}
