<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WeryfikowanaRealizacjaMT StructType
 * Meta information extracted from the WSDL
 * - documentation: Weryfikowany dokument realzacji recepty.
 * @subpackage Structs
 */
class WeryfikowanaRealizacjaMT extends AbstractStructBase
{
    /**
     * The identyfikatorRealizacjiWPakiecie
     * Meta information extracted from the WSDL
     * - documentation: Identyfikator nadany dokumentowi realizacji recepty przez system wywołujący operację. Służy do korelacji wyników weryfikacji z przekazywanym dokumentem do zapisu.
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $identyfikatorRealizacjiWPakiecie;
    /**
     * The wynikWeryfikacjiZbioruRegul
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var WynikWeryfikacjiZbioruRegulMT
     */
    public $wynikWeryfikacjiZbioruRegul;
    /**
     * Constructor method for WeryfikowanaRealizacjaMT
     * @uses WeryfikowanaRealizacjaMT::setIdentyfikatorRealizacjiWPakiecie()
     * @uses WeryfikowanaRealizacjaMT::setWynikWeryfikacjiZbioruRegul()
     * @param int $identyfikatorRealizacjiWPakiecie
     * @param WynikWeryfikacjiZbioruRegulMT $wynikWeryfikacjiZbioruRegul
     */
    public function __construct($identyfikatorRealizacjiWPakiecie = null, WynikWeryfikacjiZbioruRegulMT $wynikWeryfikacjiZbioruRegul = null)
    {
        $this
            ->setIdentyfikatorRealizacjiWPakiecie($identyfikatorRealizacjiWPakiecie)
            ->setWynikWeryfikacjiZbioruRegul($wynikWeryfikacjiZbioruRegul);
    }
    /**
     * Get identyfikatorRealizacjiWPakiecie value
     * @return int
     */
    public function getIdentyfikatorRealizacjiWPakiecie()
    {
        return $this->identyfikatorRealizacjiWPakiecie;
    }
    /**
     * Set identyfikatorRealizacjiWPakiecie value
     * @param int $identyfikatorRealizacjiWPakiecie
     * @return WeryfikowanaRealizacjaMT
     */
    public function setIdentyfikatorRealizacjiWPakiecie($identyfikatorRealizacjiWPakiecie = null)
    {
        // validation for constraint: int
        if (!is_null($identyfikatorRealizacjiWPakiecie) && !(is_int($identyfikatorRealizacjiWPakiecie) || ctype_digit($identyfikatorRealizacjiWPakiecie))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($identyfikatorRealizacjiWPakiecie, true), gettype($identyfikatorRealizacjiWPakiecie)), __LINE__);
        }
        $this->identyfikatorRealizacjiWPakiecie = $identyfikatorRealizacjiWPakiecie;
        return $this;
    }
    /**
     * Get wynikWeryfikacjiZbioruRegul value
     * @return WynikWeryfikacjiZbioruRegulMT
     */
    public function getWynikWeryfikacjiZbioruRegul()
    {
        return $this->wynikWeryfikacjiZbioruRegul;
    }
    /**
     * Set wynikWeryfikacjiZbioruRegul value
     * @param WynikWeryfikacjiZbioruRegulMT $wynikWeryfikacjiZbioruRegul
     * @return WeryfikowanaRealizacjaMT
     */
    public function setWynikWeryfikacjiZbioruRegul(WynikWeryfikacjiZbioruRegulMT $wynikWeryfikacjiZbioruRegul = null)
    {
        $this->wynikWeryfikacjiZbioruRegul = $wynikWeryfikacjiZbioruRegul;
        return $this;
    }
}
