<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WynikWeryfikacjiReceptMT StructType
 * Meta information extracted from the WSDL
 * - documentation: Wyniki weryfikacji recepty.
 * @subpackage Structs
 */
class WynikWeryfikacjiReceptMT extends AbstractStructBase
{
    /**
     * The weryfikowanaRecepta
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 1
     * @var WeryfikowanaReceptaMT[]
     */
    public $weryfikowanaRecepta;
    /**
     * Constructor method for WynikWeryfikacjiReceptMT
     * @uses WynikWeryfikacjiReceptMT::setWeryfikowanaRecepta()
     * @param WeryfikowanaReceptaMT[] $weryfikowanaRecepta
     */
    public function __construct(array $weryfikowanaRecepta = array())
    {
        $this
            ->setWeryfikowanaRecepta($weryfikowanaRecepta);
    }
    /**
     * Get weryfikowanaRecepta value
     * @return WeryfikowanaReceptaMT[]
     */
    public function getWeryfikowanaRecepta()
    {
        return $this->weryfikowanaRecepta;
    }
    /**
     * This method is responsible for validating the values passed to the setWeryfikowanaRecepta method
     * This method is willingly generated in order to preserve the one-line inline validation within the setWeryfikowanaRecepta method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateWeryfikowanaReceptaForArrayConstraintsFromSetWeryfikowanaRecepta(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $wynikWeryfikacjiReceptMTWeryfikowanaReceptaItem) {
            // validation for constraint: itemType
            if (!$wynikWeryfikacjiReceptMTWeryfikowanaReceptaItem instanceof WeryfikowanaReceptaMT) {
                $invalidValues[] = is_object($wynikWeryfikacjiReceptMTWeryfikowanaReceptaItem) ? get_class($wynikWeryfikacjiReceptMTWeryfikowanaReceptaItem) : sprintf('%s(%s)', gettype($wynikWeryfikacjiReceptMTWeryfikowanaReceptaItem), var_export($wynikWeryfikacjiReceptMTWeryfikowanaReceptaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The weryfikowanaRecepta property can only contain items of type WeryfikowanaReceptaMT, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set weryfikowanaRecepta value
     * @throws \InvalidArgumentException
     * @param WeryfikowanaReceptaMT[] $weryfikowanaRecepta
     * @return WynikWeryfikacjiReceptMT
     */
    public function setWeryfikowanaRecepta(array $weryfikowanaRecepta = array())
    {
        // validation for constraint: array
        if ('' !== ($weryfikowanaReceptaArrayErrorMessage = self::validateWeryfikowanaReceptaForArrayConstraintsFromSetWeryfikowanaRecepta($weryfikowanaRecepta))) {
            throw new \InvalidArgumentException($weryfikowanaReceptaArrayErrorMessage, __LINE__);
        }
        $this->weryfikowanaRecepta = $weryfikowanaRecepta;
        return $this;
    }
    /**
     * Add item to weryfikowanaRecepta value
     * @throws \InvalidArgumentException
     * @param WeryfikowanaReceptaMT $item
     * @return WynikWeryfikacjiReceptMT
     */
    public function addToWeryfikowanaRecepta(WeryfikowanaReceptaMT $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof WeryfikowanaReceptaMT) {
            throw new \InvalidArgumentException(sprintf('The weryfikowanaRecepta property can only contain items of type WeryfikowanaReceptaMT, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->weryfikowanaRecepta[] = $item;
        return $this;
    }
}
